[blfs-support] Building Poppler

Fernando de Oliveira famobr at yahoo.com.br
Sun Mar 30 08:33:40 PDT 2014


Em 30-03-2014 11:15, me at pc-networking-services.com escreveu:
> Hello,
> 
> I found that the configure for poppler to enable both qt4 and qt5 seems to
> be broken even with the sed fix applied as per the instructions.

I may be wrong, but the fix is to build with qt5, not both. If I am
wrong, someone, please correct me.

> 
> Out of shear frustration I deleted the extracted poppler directory and
> re-extracted a fresh copy.  I created a build directory within it and
> typed:
> 
> cmake prefix=/usr ..
> 
> After it created the make files I checked and saw that it had detected
> both qt4 and qt5.
> 
> I typed make and it went through the entire build without any errors and
> both qt4 and qt5 gets built.

I know nothing about building poppler with cmake.
> 
> Would it be possible for one of the developers to check this out and
> provide instructions for using cmake instead of the broken configure?
> 
> I have not installed it, just built it because I am not entirely sure how
> to specify the sysconfdir and disabling of static when using cmake.
> 
> You get moc errors when using the sed when it comes to building the qt5
> module.

Will be waiting to have some reply from other developers here, please.

Meanwhile, you can build with qt5 if it is selected as in the qt5 page
instructions and use the following sed, instead of the one in the book:

      sed -e "s:grep \"Qt 5\":grep \" 5\\\\.\":g" \
          -i configure

If I do not hear from other devs about this, will assume I am right and
will modify the book accordingly, tomorrow.

-- 
[]s,
Fernando



More information about the blfs-support mailing list